set topo=EN

if exist \ensniff\en3caddr.exe set det=EN
if exist \ensniff\en3caddr.exe set name=Ethernet
if exist \ensniff\en3caddr.exe set dir=ENSNIFF 
set errbat=0
if exist \ensniff\en3caddr.exe goto exit

if exist \ensniff\encgaddr.exe set det=EC
if exist \ensniff\encgaddr.exe set name=Ethernet-II
if exist \ensniff\encgaddr.exe set dir=ENSNIFF 
set errbat=0
if exist \ensniff\en3caddr.exe goto exit

if exist \ensniff\enpcaddr.exe set det=E1
if exist \ensniff\enpcaddr.exe set name=Ethernet-III
if exist \ensniff\enpcaddr.exe set dir=ENSNIFF 
set errbat=0
if exist \ensniff\enpcaddr.exe goto exit

if exist \ensniff\enc4addr.exe set det=E4
if exist \ensniff\enc4addr.exe set name=Ethernet-IV
if exist \ensniff\enc4addr.exe set dir=ENSNIFF 
set errbat=0
if exist \ensniff\enc4addr.exe goto exit

set errbat=1

:exit

